## GDataGDWho

GDataGDWho — GData who element

## Stability Level

Stable, unless otherwise indicated

## Functions

GDataGDWho * | gdata_gd_who_new ()
const gchar * | gdata_gd_who_get_relation_type ()
void | gdata_gd_who_set_relation_type ()
const gchar * | gdata_gd_who_get_value_string ()
void | gdata_gd_who_set_value_string ()
const gchar * | gdata_gd_who_get_email_address ()
void | gdata_gd_who_set_email_address ()

## Properties

gchar * | email-address | Read / Write
gchar * | relation-type | Read / Write
gchar * | value-string | Read / Write

## Types and Values

#define | GDATA_GD_WHO_EVENT_ATTENDEE
#define | GDATA_GD_WHO_EVENT_ORGANIZER
#define | GDATA_GD_WHO_EVENT_PERFORMER
#define | GDATA_GD_WHO_EVENT_SPEAKER
| GDataGDWho
| GDataGDWhoClass

## Object Hierarchy

        GObject
        ╰── GDataParsable
            ╰── GDataGDWho

## Implemented Interfaces

GDataGDWho implements GDataComparable.

## Includes

    #include <gdata/gd/gdata-gd-who.h>

## Description

GDataGDWho represents an "who" element from the

GData specification.

## Functions

### gdata_gd_who_new ()

    GDataGDWho *
    gdata_gd_who_new (const gchar *relation_type,
                      const gchar *value_string,
                      const gchar *email_address);

Creates a new GDataGDWho. More information is available in the GData specification.

Currently, entryLink functionality is not implemented in GDataGDWho.

#### Parameters

relation_type | the relationship between the item and this person, or `NULL`. | [allow-none]
value_string | a string to represent the person, or `NULL`. | [allow-none]
email_address | the person's e-mail address, or `NULL`. | [allow-none]

#### Returns

a new GDataGDWho; unref with `g_object_unref()`

Since: 0.2.0

### gdata_gd_who_get_relation_type ()

    const gchar *
    gdata_gd_who_get_relation_type (GDataGDWho *self);

Gets the “relation-type” property.

#### Parameters

self | a GDataGDWho |

#### Returns

the relation type, or `NULL`

Since: 0.4.0

### gdata_gd_who_set_relation_type ()

    void
    gdata_gd_who_set_relation_type (GDataGDWho *self,
                                    const gchar *relation_type);

Sets the “relation-type” property to `relation_type` .

Set `relation_type` to `NULL` to unset the property.

#### Parameters

self | a GDataGDWho |
relation_type | the new relation type, or `NULL`. | [allow-none]

Since: 0.4.0

### gdata_gd_who_get_value_string ()

    const gchar *
    gdata_gd_who_get_value_string (GDataGDWho *self);

Gets the “value-string” property.

#### Parameters

self | a GDataGDWho |

#### Returns

the value string, or `NULL`

Since: 0.4.0

### gdata_gd_who_set_value_string ()

    void
    gdata_gd_who_set_value_string (GDataGDWho *self,
                                   const gchar *value_string);

Sets the “value-string” property to `value_string` .

Set `value_string` to `NULL` to unset the property.

#### Parameters

self | a GDataGDWho |
value_string | the new value string, or `NULL`. | [allow-none]

Since: 0.4.0

### gdata_gd_who_get_email_address ()

    const gchar *
    gdata_gd_who_get_email_address (GDataGDWho *self);

Gets the “email-address” property.

#### Parameters

self | a GDataGDWho |

#### Returns

the e-mail address, or `NULL`

Since: 0.4.0

### gdata_gd_who_set_email_address ()

    void
    gdata_gd_who_set_email_address (GDataGDWho *self,
                                    const gchar *email_address);

Sets the “email-address” property to `email_address` .

Set `email_address` to `NULL` to unset the property.

#### Parameters

self | a GDataGDWho |
email_address | the new e-mail address, or `NULL`. | [allow-none]

Since: 0.4.0

## Types and Values

### GDATA_GD_WHO_EVENT_ATTENDEE

    #define GDATA_GD_WHO_EVENT_ATTENDEE "http://schemas.google.com/g/2005#event.attendee"

The relation type URI for a general meeting or event attendee.

Since: 0.7.0

### GDATA_GD_WHO_EVENT_ORGANIZER

    #define GDATA_GD_WHO_EVENT_ORGANIZER "http://schemas.google.com/g/2005#event.organizer"

The relation type URI for an event organizer (not necessarily an attendee).

Since: 0.7.0

### GDATA_GD_WHO_EVENT_PERFORMER

    #define GDATA_GD_WHO_EVENT_PERFORMER "http://schemas.google.com/g/2005#event.performer"

The relation type URI for an event performer, which is similar to `GDATA_GD_WHO_EVENT_SPEAKER`, but with more emphasis on art rather than speaking.

Since: 0.7.0

### GDATA_GD_WHO_EVENT_SPEAKER

    #define GDATA_GD_WHO_EVENT_SPEAKER "http://schemas.google.com/g/2005#event.speaker"

The relation type URI for a speaker at an event.

Since: 0.7.0

### GDataGDWho

    typedef struct _GDataGDWho GDataGDWho;

All the fields in the GDataGDWho structure are private and should never be accessed directly.

Since: 0.2.0

### GDataGDWhoClass

    typedef struct {
    } GDataGDWhoClass;

All the fields in the GDataGDWhoClass structure are private and should never be accessed directly.

Since: 0.4.0

## Property Details

### The `“email-address”` property

      “email-address”            gchar *

The e-mail address of the person represented by the GDataGDWho.

For more information, see the

GData specification.

Flags: Read / Write

Default value: NULL

Since: 0.4.0

### The `“relation-type”` property

      “relation-type”            gchar *

Specifies the relationship between the containing entity and the contained person. For example: `GDATA_GD_WHO_EVENT_PERFORMER` or `GDATA_GD_WHO_EVENT_ATTENDEE`.

For more information, see the

GData specification.

Flags: Read / Write

Default value: NULL

Since: 0.4.0

### The `“value-string”` property

      “value-string”             gchar *

A simple string representation of this person.

For more information, see the

GData specification.

Flags: Read / Write

Default value: NULL

Since: 0.4.0